Skip to navigation

Security Advisory gpdf security update

Advisory: RHSA-2005:708-05
Type: Security Advisory
Severity: Moderate
Issued on: 2005-08-10
Last updated on: 2005-08-10
Affected Products: Red Hat Desktop (v. 4)
Red Hat Enterprise Linux AS (v. 4)
Red Hat Enterprise Linux ES (v. 4)
Red Hat Enterprise Linux WS (v. 4)
CVEs (cve.mitre.org): CVE-2005-2097

Details

An updated gpdf package that fixes a security issue is now available for
Red Hat Enterprise Linux 4.

This update has been rated as having moderate security impact by the Red
Hat Security Response Team.

The gpdf package is an GNOME based viewer for Portable Document Format
(PDF) files.

Marcus Meissner reported a flaw in gpdf. An attacker could construct a
carefully crafted PDF file that would cause gpdf to consume all available
disk space in /tmp when opened. The Common Vulnerabilities and Exposures
project assigned the name CAN-2005-2097 to this issue.

Note that this issue does not affect the version of gpdf in Red Hat
Enterprise Linux 3 or 2.1.

Users of gpdf should upgrade to this updated package, which contains a
backported patch to resolve this issue.


Solution

Before applying this update, make sure all previously released errata
relevant to your system have been applied.

This update is available via Red Hat Network. To use Red Hat Network,
launch the Red Hat Update Agent with the following command:

up2date

This will start an interactive process that will result in the appropriate
RPMs being upgraded on your system.

Updated packages

Red Hat Desktop (v. 4)

IA-32:
gpdf-2.8.2-4.4.i386.rpm
File outdated by:  RHSA-2010:0752
    MD5: 328bfb4b68c3c9d400356c68ee8d094e
 
x86_64:
gpdf-2.8.2-4.4.x86_64.rpm
File outdated by:  RHSA-2010:0752
    MD5: 060885532310ab317c726490a9802e7e
 
Red Hat Enterprise Linux AS (v. 4)

IA-32:
gpdf-2.8.2-4.4.i386.rpm
File outdated by:  RHSA-2010:0752
    MD5: 328bfb4b68c3c9d400356c68ee8d094e
 
IA-64:
gpdf-2.8.2-4.4.ia64.rpm
File outdated by:  RHSA-2010:0752
    MD5: 6975af509ac9ce826b0828827fe7a383
 
PPC:
gpdf-2.8.2-4.4.ppc.rpm
File outdated by:  RHSA-2010:0752
    MD5: bd4f621b08a94d827a5ecef47a405b03
 
s390:
gpdf-2.8.2-4.4.s390.rpm
File outdated by:  RHSA-2010:0752
    MD5: f74928bb8de575316382103d764c9303
 
s390x:
gpdf-2.8.2-4.4.s390x.rpm
File outdated by:  RHSA-2010:0752
    MD5: e7d8b9ad37c21008c0726a526914fac5
 
x86_64:
gpdf-2.8.2-4.4.x86_64.rpm
File outdated by:  RHSA-2010:0752
    MD5: 060885532310ab317c726490a9802e7e
 
Red Hat Enterprise Linux ES (v. 4)

IA-32:
gpdf-2.8.2-4.4.i386.rpm
File outdated by:  RHSA-2010:0752
    MD5: 328bfb4b68c3c9d400356c68ee8d094e
 
IA-64:
gpdf-2.8.2-4.4.ia64.rpm
File outdated by:  RHSA-2010:0752
    MD5: 6975af509ac9ce826b0828827fe7a383
 
x86_64:
gpdf-2.8.2-4.4.x86_64.rpm
File outdated by:  RHSA-2010:0752
    MD5: 060885532310ab317c726490a9802e7e
 
Red Hat Enterprise Linux WS (v. 4)

IA-32:
gpdf-2.8.2-4.4.i386.rpm
File outdated by:  RHSA-2010:0752
    MD5: 328bfb4b68c3c9d400356c68ee8d094e
 
IA-64:
gpdf-2.8.2-4.4.ia64.rpm
File outdated by:  RHSA-2010:0752
    MD5: 6975af509ac9ce826b0828827fe7a383
 
x86_64:
gpdf-2.8.2-4.4.x86_64.rpm
File outdated by:  RHSA-2010:0752
    MD5: 060885532310ab317c726490a9802e7e
 
(The unlinked packages above are only available from the Red Hat Network)

Bugs fixed (see bugzilla for more information)

163920 - CAN-2005-2097 gpdf DoS


References



These packages are GPG signed by Red Hat for security. Our key and details on how to verify the signature are available from:
https://www.redhat.com/security/team/key/#package

The Red Hat security contact is secalert@redhat.com. More contact details at http://www.redhat.com/security/team/contact/